export default {}

// 只能有一位小数
exports.onlyOneDecimal = /^[0-9]{1,3}(,[0-9]{3})*(.[0-9]{1,2})?$/

// 小数点后只能有最多两位数字（可以有正负号）
exports.twoDigitNumber = /^[+-]*(\d)*(\.\d{0,2})*$/

// 格式："10000.00" 和 "10,000.00", 和没有 "分" 的 "10000" 和 "10,000"
exports.birth = /^[1-9][0-9]*$/

// 任意一个不以0开头的数字，但是，这也意味着一个字符"0"不通过
exports.anyNumber = /^(0|[1-9][0-9]*)$/

// 一个0或者一个不以0开头的数字，还可以允许开头有一个负号
exports.birth = /^(0|-?[1-9][0-9]*)$/

// 表示一个0或者一个可能为负的开头不为0的数字，让用户以0开头好了，把负号的也去掉，因为钱总不能是负的吧
exports.birth = /^[0-9]+(.[0-9]+)?$/

// 小数点后面至少应该有1位数，所以"10."是不通过的，但是 "10" 和 "10.2" 是通过的
exports.birth = /^[0-9]+(.[0-9]{2})?$/

// 这样我们规定小数点后面必须有两位，如果你认为太苛刻了，可以这样
exports.birth = /^[0-9]+(.[0-9]{1,2})?$/

// 1到3个数字，后面跟着任意个逗号+3个数字，逗号成为可选，而不是必须
exports.commaSeparation = /^([0-9]+|[0-9]{1,3}(,[0-9]{3})*)(.[0-9]{1,2})?$/